commit ad63c0b01a15ba598ad97410585577ca30d066d3
Author: Harish Sadineni <Harish.Sadineni@windriver.com>
Date:   Sun Aug 10 14:28:00 2025

    testsuite: i386: Fix gcc.target/i386/pr90579.c when PIE is enabled [PR118885]
    
    When gcc build with --enable-deafult-pie the following tests
    were getting failed:
     FAIL: gcc.target/i386/pr90579.c scan-assembler vaddsd\tr\\+40
     FAIL: gcc.target/i386/pr90579.c scan-assembler vaddsd\tr\\+32
     FAIL: gcc.target/i386/pr90579.c scan-assembler vaddsd\tr\\+24
     FAIL: gcc.target/i386/pr90579.c scan-assembler vaddsd\tr\\+16
    
            PR target/118885
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/i386/pr90579.c: add -fno-pie to dg-options
            to fix tests when PIE is enabled.
    
    Signed-off-by: Harish Sadineni <Harish.Sadineni@windriver.com>
    (cherry picked from commit 679e24f5a751663998ff7202149a749e0f7251f9)

diff --git a/gcc/testsuite/gcc.target/i386/pr90579.c b/gcc/testsuite/gcc.target/i386/pr90579.c
index ab48a44063c..19081ec9fdf 100644
--- a/gcc/testsuite/gcc.target/i386/pr90579.c
+++ b/gcc/testsuite/gcc.target/i386/pr90579.c
@@ -1,5 +1,5 @@
 /* { dg-do compile } */
-/* { dg-options "-O3 -mavx2 -mfpmath=sse" } */
+/* { dg-options "-O3 -mavx2 -mfpmath=sse -fno-pie" } */
 
 extern double r[6];
 extern double a[];

